#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Cache
%define		pnam	Mmap
Summary:	Cache::Mmap - shared data cache using memory mapped files
Summary(pl.UTF-8):	Cache::Mmap - współdzielony bufor danych, używający mapowanych w pamięci plików
Name:		perl-Cache-Mmap
Version:	0.081
Release:	5
Epoch:		1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3170cbdf4232f5b2c578d5cd81527693
Patch0:		perl-5.18.patch
URL:		http://search.cpan.org/dist/Cache-Mmap/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a shared data cache, using memory mapped files.
If routines are provided which interact with the underlying data,
access to the cache is completely transparent, and the module handles
all the details of refreshing cache contents, and updating underlying
data, if necessary.

%description -l pl.UTF-8
Ten moduł jest implementacją współdzielonego bufora (cache) danych,
używającego plików mapowanych w pamięci. Jeśli są dostarczone funkcje
współpracujące z podlegającymi danymi, dostęp do bufora jest
całkowicie przezroczysty, a moduł obsługuje wszystkie szczegóły
odświeżania zawartości bufora i uaktualniania buforowanych danych w
miarę potrzeby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README Todo
%dir %{perl_vendorarch}/Cache
%{perl_vendorarch}/Cache/*.pm
%dir %{perl_vendorarch}/auto/Cache
%dir %{perl_vendorarch}/auto/Cache/Mmap
%attr(755,root,root) %{perl_vendorarch}/auto/Cache/Mmap/*.so
%{perl_vendorarch}/auto/Cache/Mmap/*.bs
%{_mandir}/man3/*
%changelog
* Thu Jun 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Cache-Mmap.git;a=log;h=master

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 53ed9c2
- fix syntax for prtl 5.18
- rel 5

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0599bf8
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4260f95
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bfc6fe6
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> a1cc5df
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> caad099
- up to 0.081

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 03d543c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1be88d9
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 96478b1
- 0.09, Epoch: 1 due 0.081 being bigger, generic URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7699dca
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> aa811c8
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3f4a294
- fixed perl-devel BR

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 5848650
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 4dd0c8b
- caps and other cosmetics

* Sun Apr 11 2004 migo <migo@pld-linux.org> b1da4bd
- up to 0.081
- Storable is a core module since perl 5.7.3

* Sun Nov 23 2003 migo <migo@pld-linux.org> 6254eca
- up to 0.08
- new bcond style, pass rpmcflags

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> b2569a0
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> e353c0c
- mass commit: cosmetics (removed trailing white spaces)

* Fri Jul 25 2003 Adam Gołębiowski <adamg@pld-linux.org> 43a4419
- updated to 0.07

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 94f8bfb
- massive attack: source-md5

